// YYMMDD.h for Calendar 981114
// Last Update 981121
#ifndef _YYMMDD_H_
#define _YYMMDD_H_
#include <support/SupportDefs.h>						//981109
#include <stdio.h>										//981109
#include <stdlib.h>										//981109
#include <string.h>										//981109

extern int32 year;
extern int32 month;
extern int32 week;
extern int32 day;
extern int32 dayOfWeek;
extern int32 thisYear;									//981121
extern int32 thisMonth;									//981121
extern char  monthName[4];
extern char	 *monthList[12];							//981114
//extern char  fileNames[7][10];
extern char	fileYear[7][6];
extern char	fileMonth[7][4];
extern char	fileDay[7][4];
extern char	*dowList[7];								//981114

void	getToday( void );

int32	getDayOfWeek( int32 y, int32 m, int32 d );

//void	getFileNames( int32 y, int32 m, int32 d );

//void	normalizeYMD( void );

static inline bool	isLeap( int32 y )					//981109
{														//981109
    int newYear = y;
	bool leaping = FALSE;
	
    if (newYear < 100)
		newYear += 1900;

	leaping = (((((newYear)%4) == 0 && (((newYear)%100)!=0)) ||
		((newYear)%400)==0));
		
	return leaping;
}														//981109

int32	daysInMonth( int32 y, int32 m );

#endif

